[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TInt64Helper.Parse

Convert from a string

## Declaration

Source position: syshelph.inc line 540

`public class function TInt64Helper.Parse(`
`const AString: string`
`):Int64;`

## Description

Parse will attempt to convert the string AString to a Int64 value. It uses the StrToInt64 function to perform the conversion, so no localization is taken into account.

## Errors

If the string does not contain a valid Int64 value, an EConvertError exception is raised.

## See also

TInt64Helper.ToString |  | Convert the value to string
TInt64Helper.TryParse |  | Try to convert a string to a Int64, report success or failure
StrToInt64 |  | Convert a string to an Int64 value.